org.apache.poi.hssf.record

## Class WSBoolRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.WSBoolRecord

- All Implemented Interfaces:
    Duplicatable

      public final class WSBoolRecord
      extends StandardRecord

  Stores workbook settings (aka its a big "everything we didn't put somewhere else")

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSBoolRecord()`
    `WSBoolRecord(RecordInputStream in)`
    `WSBoolRecord(WSBoolRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `WSBoolRecord` | `clone()` Deprecated.
    `WSBoolRecord` | `copy()`
    `boolean` | `getAlternateExpression()` whether alternate expression evaluation is on
    `boolean` | `getAlternateFormula()` whether alternative formula entry is on
    `boolean` | `getAutobreaks()` show automatic page breaks or not
    `protected int` | `getDataSize()`
    `boolean` | `getDialog()` get whether sheet is a dialog sheet or not
    `boolean` | `getDisplayGuts()` get whether to display the guts or not
    `boolean` | `getFitToPage()` fit to page option is on
    `boolean` | `getRowSumsBelow()` get if row summaries appear below detail in the outline
    `boolean` | `getRowSumsRight()` get if col summaries appear right of the detail in the outline
    `short` | `getSid()` return the non static version of the id for this record.
    `byte` | `getWSBool1()` get first byte (see bit getters)
    `byte` | `getWSBool2()` get the second byte (see bit getters)
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setAlternateExpression(boolean altexp)` whether alternate expression evaluation is on
    `void` | `setAlternateFormula(boolean formula)` whether alternative formula entry is on
    `void` | `setAutobreaks(boolean ab)` show automatic page breaks or not
    `void` | `setDialog(boolean isDialog)` set whether sheet is a dialog sheet or not
    `void` | `setDisplayGuts(boolean guts)` set whether to display the guts or not
    `void` | `setFitToPage(boolean fit2page)` fit to page option is on
    `void` | `setRowSumsBelow(boolean below)` set if row summaries appear below detail in the outline
    `void` | `setRowSumsRight(boolean right)` set if col summaries appear right of the detail in the outline
    `void` | `setWSBool1(byte bool1)` set first byte (see bit setters)
    `void` | `setWSBool2(byte bool2)` set the second byte (see bit setters)
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WSBoolRecord

          public WSBoolRecord()

    - #### WSBoolRecord

          public WSBoolRecord(WSBoolRecord other)

    - #### WSBoolRecord

          public WSBoolRecord(RecordInputStream in)

  - ### Method Detail

    - #### setWSBool1

          public void setWSBool1(byte bool1)

      set first byte (see bit setters)
      Parameters:
        `bool1` - Set boolean 1 of this record

    - #### setAutobreaks

          public void setAutobreaks(boolean ab)

      show automatic page breaks or not
      Parameters:
        `ab` - whether to show auto page breaks

    - #### setDialog

          public void setDialog(boolean isDialog)

      set whether sheet is a dialog sheet or not
      Parameters:
        `isDialog` - or not

    - #### setRowSumsBelow

          public void setRowSumsBelow(boolean below)

      set if row summaries appear below detail in the outline
      Parameters:
        `below` - or not

    - #### setRowSumsRight

          public void setRowSumsRight(boolean right)

      set if col summaries appear right of the detail in the outline
      Parameters:
        `right` - or not

    - #### setWSBool2

          public void setWSBool2(byte bool2)

      set the second byte (see bit setters)
      Parameters:
        `bool2` - Set boolean 2 of this record

    - #### setFitToPage

          public void setFitToPage(boolean fit2page)

      fit to page option is on
      Parameters:
        `fit2page` - fit or not

    - #### setDisplayGuts

          public void setDisplayGuts(boolean guts)

      set whether to display the guts or not
      Parameters:
        `guts` - or no guts (or glory)

    - #### setAlternateExpression

          public void setAlternateExpression(boolean altexp)

      whether alternate expression evaluation is on
      Parameters:
        `altexp` - alternative expression evaluation or not

    - #### setAlternateFormula

          public void setAlternateFormula(boolean formula)

      whether alternative formula entry is on
      Parameters:
        `formula` - alternative formulas or not

    - #### getWSBool1

          public byte getWSBool1()

      get first byte (see bit getters)
      Returns:
        boolean 1 of this record

    - #### getAutobreaks

          public boolean getAutobreaks()

      show automatic page breaks or not
      Returns:
        whether to show auto page breaks

    - #### getDialog

          public boolean getDialog()

      get whether sheet is a dialog sheet or not
      Returns:
        isDialog or not

    - #### getRowSumsBelow

          public boolean getRowSumsBelow()

      get if row summaries appear below detail in the outline
      Returns:
        below or not

    - #### getRowSumsRight

          public boolean getRowSumsRight()

      get if col summaries appear right of the detail in the outline
      Returns:
        right or not

    - #### getWSBool2

          public byte getWSBool2()

      get the second byte (see bit getters)
      Returns:
        boolean 1 of this record

    - #### getFitToPage

          public boolean getFitToPage()

      fit to page option is on
      Returns:
        fit or not

    - #### getDisplayGuts

          public boolean getDisplayGuts()

      get whether to display the guts or not
      Returns:
        guts or no guts (or glory)

    - #### getAlternateExpression

          public boolean getAlternateExpression()

      whether alternate expression evaluation is on
      Returns:
        alternative expression evaluation or not

    - #### getAlternateFormula

          public boolean getAlternateFormula()

      whether alternative formula entry is on
      Returns:
        alternative formulas or not

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public WSBoolRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public WSBoolRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.